gr::radar::usrp_echotimer_cc_impl Class Reference

`#include <usrp_echotimer_cc_impl.h>`

Inheritance diagram for gr::radar::usrp_echotimer_cc_impl:

## Public Member Functions

usrp_echotimer_cc_impl (int samp_rate, float center_freq, int num_delay_samps, std::string args_tx, int channel_tx, std::string wire_tx, std::string clock_source_tx, std::string time_source_tx, std::string antenna_tx, float gain_tx, float timeout_tx, float wait_tx, float lo_offset_tx, std::string args_rx, int channel_rx, std::string wire_rx, std::string clock_source_rx, std::string time_source_rx, std::string antenna_rx, float gain_rx, float timeout_rx, float wait_rx, float lo_offset_rx, const std::string &len_key)

| ~usrp_echotimer_cc_impl ()
void | send ()
void | receive ()
void | set_num_delay_samps (int num_samps)
void | set_rx_gain (float gain)
void | set_tx_gain (float gain)
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_samp_rate
float | d_center_freq
int | d_num_delay_samps
std::vector< gr_complex > | d_out_buffer
std::string | d_args_tx
std::string | d_args_rx
std::string | d_clock_source_tx
std::string | d_clock_source_rx
std::string | d_wire_tx
std::string | d_wire_rx
std::string | d_antenna_tx
std::string | d_antenna_rx
std::string | d_time_source_tx
std::string | d_time_source_rx
uhd::usrp::multi_usrp::sptr | d_usrp_tx
uhd::usrp::multi_usrp::sptr | d_usrp_rx
uhd::tune_request_t | d_tune_request_tx
uhd::tune_request_t | d_tune_request_rx
uhd::tx_streamer::sptr | d_tx_stream
uhd::rx_streamer::sptr | d_rx_stream
uhd::tx_metadata_t | d_metadata_tx
uhd::rx_metadata_t | d_metadata_rx
double | d_lo_offset_tx
double | d_lo_offset_rx
float | d_timeout_tx
float | d_timeout_rx
float | d_wait_tx
float | d_wait_rx
float | d_gain_tx
float | d_gain_rx
uhd::time_spec_t | d_time_now_tx
uhd::time_spec_t | d_time_now_rx
gr::thread::thread | d_thread_recv
gr_complex * | d_out_recv
int | d_noutput_items_recv
pmt::pmt_t | d_time_key
pmt::pmt_t | d_time_val
pmt::pmt_t | d_srcid
gr::thread::thread | d_thread_send
gr_complex * | d_in_send
int | d_noutput_items_send

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::usrp_echotimer_cc
typedef std::shared_ptr< usrp_echotimer_cc > | sptr
Static Public Member Functions inherited from gr::radar::usrp_echotimer_cc

static sptr

make (int samp_rate, float center_freq, int num_delay_samps, std::string args_tx, int channel_tx, std::string wire_tx, std::string clock_source_tx, std::string time_source_tx, std::string antenna_tx, float gain_tx, float timeout_tx, float wait_tx, float lo_offset_tx, std::string args_rx, int channel_rx, std::string wire_rx, std::string clock_source_rx, std::string time_source_rx, std::string antenna_rx, float gain_rx, float timeout_rx, float wait_rx, float lo_offset_rx, const std::string &len_key="packet_len")

| Return a shared_ptr to a new instance of radar::usrp_echotimer_cc.

## Constructor & Destructor Documentation

## usrp_echotimer_cc_impl()

gr::radar::usrp_echotimer_cc_impl::usrp_echotimer_cc_impl | ( | int | samp_rate,
|  | float | center_freq,
|  | int | num_delay_samps,
|  | std::string | args_tx,
|  | int | channel_tx,
|  | std::string | wire_tx,
|  | std::string | clock_source_tx,
|  | std::string | time_source_tx,
|  | std::string | antenna_tx,
|  | float | gain_tx,
|  | float | timeout_tx,
|  | float | wait_tx,
|  | float | lo_offset_tx,
|  | std::string | args_rx,
|  | int | channel_rx,
|  | std::string | wire_rx,
|  | std::string | clock_source_rx,
|  | std::string | time_source_rx,
|  | std::string | antenna_rx,
|  | float | gain_rx,
|  | float | timeout_rx,
|  | float | wait_rx,
|  | float | lo_offset_rx,
|  | const std::string & | len_key )

## ~usrp_echotimer_cc_impl()

gr::radar::usrp_echotimer_cc_impl::~usrp_echotimer_cc_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::usrp_echotimer_cc_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## receive()

void gr::radar::usrp_echotimer_cc_impl::receive | ( |  | ) |

## send()

void gr::radar::usrp_echotimer_cc_impl::send | ( |  | ) |

## set_num_delay_samps()

void gr::radar::usrp_echotimer_cc_impl::set_num_delay_samps | ( | int | num_samps | ) |

virtual

Implements gr::radar::usrp_echotimer_cc.

## set_rx_gain()

void gr::radar::usrp_echotimer_cc_impl::set_rx_gain | ( | float | gain | ) |

virtual

Implements gr::radar::usrp_echotimer_cc.

## set_tx_gain()

void gr::radar::usrp_echotimer_cc_impl::set_tx_gain | ( | float | gain | ) |

virtual

Implements gr::radar::usrp_echotimer_cc.

## work()

int gr::radar::usrp_echotimer_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_antenna_rx

std::string gr::radar::usrp_echotimer_cc_impl::d_antenna_rx

## d_antenna_tx

std::string gr::radar::usrp_echotimer_cc_impl::d_antenna_tx

## d_args_rx

std::string gr::radar::usrp_echotimer_cc_impl::d_args_rx

## d_args_tx

std::string gr::radar::usrp_echotimer_cc_impl::d_args_tx

## d_center_freq

float gr::radar::usrp_echotimer_cc_impl::d_center_freq

## d_clock_source_rx

std::string gr::radar::usrp_echotimer_cc_impl::d_clock_source_rx

## d_clock_source_tx

std::string gr::radar::usrp_echotimer_cc_impl::d_clock_source_tx

## d_gain_rx

float gr::radar::usrp_echotimer_cc_impl::d_gain_rx

## d_gain_tx

float gr::radar::usrp_echotimer_cc_impl::d_gain_tx

## d_in_send

gr_complex* gr::radar::usrp_echotimer_cc_impl::d_in_send

## d_lo_offset_rx

double gr::radar::usrp_echotimer_cc_impl::d_lo_offset_rx

## d_lo_offset_tx

double gr::radar::usrp_echotimer_cc_impl::d_lo_offset_tx

## d_metadata_rx

uhd::rx_metadata_t gr::radar::usrp_echotimer_cc_impl::d_metadata_rx

## d_metadata_tx

uhd::tx_metadata_t gr::radar::usrp_echotimer_cc_impl::d_metadata_tx

## d_noutput_items_recv

int gr::radar::usrp_echotimer_cc_impl::d_noutput_items_recv

## d_noutput_items_send

int gr::radar::usrp_echotimer_cc_impl::d_noutput_items_send

## d_num_delay_samps

int gr::radar::usrp_echotimer_cc_impl::d_num_delay_samps

## d_out_buffer

std::vector<gr_complex> gr::radar::usrp_echotimer_cc_impl::d_out_buffer

## d_out_recv

gr_complex* gr::radar::usrp_echotimer_cc_impl::d_out_recv

## d_rx_stream

uhd::rx_streamer::sptr gr::radar::usrp_echotimer_cc_impl::d_rx_stream

## d_samp_rate

int gr::radar::usrp_echotimer_cc_impl::d_samp_rate

## d_srcid

pmt::pmt_t gr::radar::usrp_echotimer_cc_impl::d_srcid

## d_thread_recv

gr::thread::thread gr::radar::usrp_echotimer_cc_impl::d_thread_recv

## d_thread_send

gr::thread::thread gr::radar::usrp_echotimer_cc_impl::d_thread_send

## d_time_key

pmt::pmt_t gr::radar::usrp_echotimer_cc_impl::d_time_key

## d_time_now_rx

uhd::time_spec_t gr::radar::usrp_echotimer_cc_impl::d_time_now_rx

## d_time_now_tx

uhd::time_spec_t gr::radar::usrp_echotimer_cc_impl::d_time_now_tx

## d_time_source_rx

std::string gr::radar::usrp_echotimer_cc_impl::d_time_source_rx

## d_time_source_tx

std::string gr::radar::usrp_echotimer_cc_impl::d_time_source_tx

## d_time_val

pmt::pmt_t gr::radar::usrp_echotimer_cc_impl::d_time_val

## d_timeout_rx

float gr::radar::usrp_echotimer_cc_impl::d_timeout_rx

## d_timeout_tx

float gr::radar::usrp_echotimer_cc_impl::d_timeout_tx

## d_tune_request_rx

uhd::tune_request_t gr::radar::usrp_echotimer_cc_impl::d_tune_request_rx

## d_tune_request_tx

uhd::tune_request_t gr::radar::usrp_echotimer_cc_impl::d_tune_request_tx

## d_tx_stream

uhd::tx_streamer::sptr gr::radar::usrp_echotimer_cc_impl::d_tx_stream

## d_usrp_rx

uhd::usrp::multi_usrp::sptr gr::radar::usrp_echotimer_cc_impl::d_usrp_rx

## d_usrp_tx

uhd::usrp::multi_usrp::sptr gr::radar::usrp_echotimer_cc_impl::d_usrp_tx

## d_wait_rx

float gr::radar::usrp_echotimer_cc_impl::d_wait_rx

## d_wait_tx

float gr::radar::usrp_echotimer_cc_impl::d_wait_tx

## d_wire_rx

std::string gr::radar::usrp_echotimer_cc_impl::d_wire_rx

## d_wire_tx

std::string gr::radar::usrp_echotimer_cc_impl::d_wire_tx

The documentation for this class was generated from the following file:

- usrp_echotimer_cc_impl.h